Get list of cases

Returns a paginated list of cases for the user's account. Accepts filter and sort query parameters.

You need one of the "View cases (customer onboarding)", "View cases (customer monitoring)", "View cases (payment screening)" or "View cases (transaction monitoring)" permissions to use this endpoint.

Query Params
assignee
array of strings
deprecated

User identifier or null.

assignee
assignee_identifier
array of uuids

Provide an array of user identifiers or blank with which to filter the case list.

  • Includes all cases assigned to user matching user identifiers.

  • If array includes blank, also includes cases without an assignee (i.e. unassigned).

assignee_identifier
type
array of strings

Filter cases by specific case types

type
date-time

Filter cases created on or after this date and time.

date-time

Filter cases created on or before this date and time.

customer.identifier
array of uuids

Filter cases by a list of customer identifiers

customer.identifier
customer.risk_level
array of strings

Filter cases by a list of customer risk levels.

customer.risk_level
customer.label
array of uuids

Provide an array of customer label identifiers or blank with which to filter the case list.

  • Includes all cases matching at least one customer label.

  • If array includes blank, also includes cases without a customer label.

customer.label
customer.acquisition_source
array of strings

Provide an array of customer acquisition sources or blank with which to filter the case list.

  • Includes all cases matching at least one customer acquisition source.

  • If array includes blank, also includes cases without a customer acquisition source.

customer.acquisition_source
string

Search for cases by customer name, customer external identifier, counterparty name, counterparty external identifier, or external activity identifier (for payment screening cases only). Supports wildcard search.

state
array of strings
deprecated

The current state of the case.

For those using the deprecated case_state, if any new case stages are added the case state response for these will be returned as USER_DEFINED

state
stage.identifier
array of uuids

Provide an array of stage identifiers with which to filter the case list.

stage.identifier
risk_type
array of strings

Filter cases by a list of risk types. You can retrieve the full list of available risk types from the /v2/risk-types endpoint.

risk_type
alerts.title
array of strings

Filter cases by alert title(s).

Allows filtering for cases with alerts matching any of the provided titles.

alerts.title
alerts.highest_priority
array of int32s
1 to 9

Filter cases by the highest priority alert (1-9).

Allows filtering for cases where the highest priority alert matches the provided value.

alerts.highest_priority
risk_catalog_risk_types.key
array of strings

Filter cases by risk catalog risk type keys.

Allows filtering for cases with risk types matching any of the provided keys.

risk_catalog_risk_types.key
integer
≥ 1
Defaults to 1

One-based page index (1..N)

integer
≥ 1
Defaults to 25

The size of the page to be returned

sort
array of strings
Defaults to -CREATED_AT

Sorting criteria in the format of: [-]property (- descending modifier).

  • Default sort order is ascending (without -).

  • Multiple sort criteria are supported.

sort
Response

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json